%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:		googlecl
Version:	0.9.14
Release:	5%{?dist}
Summary:	Command line tools for the Google Data APIs

Group:		Applications/Internet
License:	ASL 2.0
URL:		http://code.google.com/p/googlecl/
Source0:	http://googlecl.googlecode.com/files/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
Requires:	python-gdata


%description
This package provides command-line access to some Google services via
their GData APIs.


%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp -av man/google.1 $RPM_BUILD_ROOT%{_mandir}/man1
# remove unit test
rm -f $RPM_BUILD_ROOT%{python_sitelib}/googlecl/calendar/date_test.py*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.config README.txt changelog
%{_bindir}/google
%{python_sitelib}/*
%{_mandir}/man1/*


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jan 06 2013 Christian Krause <chkr@fedoraproject.org> - 0.9.14-1
- New upstream release, see http://code.google.com/p/googlecl/source/browse/trunk/changelog (BZ 890972)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Christian Krause <chkr@fedoraproject.org> - 0.9.13-1
- New upstream release, see http://code.google.com/p/googlecl/source/browse/trunk/changelog

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep  6 2010 Adam Goode <adam@spicenitz.org> - 0.9.10-1
- New upstream release, see http://code.google.com/p/googlecl/source/browse/trunk/changelog

* Fri Jul 30 2010 Adam Goode <adam@spicenitz.org> - 0.9.9-2
- Add python-setuptools to BuildRequires

* Thu Jul 29 2010 Adam Goode <adam@spicenitz.org> - 0.9.9-1
- New upstream release, see http://code.google.com/p/googlecl/source/browse/trunk/changelog

* Sun Jul 11 2010 Adam Goode <adam@spicenitz.org> - 0.9.8-1
- New upstream release, see http://code.google.com/p/googlecl/source/browse/trunk/changelog

* Sun Jun 20 2010 Adam Goode <adam@spicenitz.org> - 0.9.7-1
- New upstream release, see http://code.google.com/p/googlecl/source/browse/trunk/changelog

* Sat Jun 19 2010 Adam Goode <adam@spicenitz.org> - 0.9.5-3
- Add clean section for F12
- Add python macros for F12
- Add changelog to doc

* Fri Jun 18 2010 Adam Goode <adam@spicenitz.org> - 0.9.5-2
- Don't BuildRequires python-gdata
- Don't manually gzip the man page

* Fri Jun 18 2010 Adam Goode <adam@spicenitz.org> - 0.9.5-1
- Initial package
